# Class Fixture

Class Fixture

Declaration :

- C++ : class Fixture : public Seq

Artifact : fixture, Component(s) : Session

Relation effectiveTimeline (<directional composition>)

Declaration :

- Uml : # effectiveTimeline : ExplicitPlacement, multiplicity : *
- C++ : protected: ExplicitPlacement effectiveTimeline

Stereotype: list

Operation getPlaylistForRender

Declaration :

- Uml : + getPlaylistForRender() : list<ExplicitPlacement [ProcessingLayer::MObject]>
- C++ : public: list<ExplicitPlacement [ProcessingLayer::MObject]> getPlaylistForRender ()

Operation getAutomation

Declaration :

- Uml : + getAutomation() : Auto [ProcessingLayer::MObject]*
- C++ : public: Auto [ProcessingLayer::MObject]* getAutomation ()

Relation track (<unidirectional association>)

Declaration :

- Uml : # track : Track
- C++ : protected: Track* track

Relation <association>

Declaration :

- Uml : # : Segmentation
- C++ : protected: Segmentation*

Stereotype: partitioning

All public operations : getAutomation , getPlaylistForRender